GNU bug report logs - #35816
26.2; set-frame-font cannot set some fonts which autocomplete suggests due to dashes in names. I.e. gnu-unifont

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Vladimir Nikishkin <lockywolf@HIDDEN>; dated Tue, 21 May 2019 02:07:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 35816 <at> debbugs.gnu.org:


Received: (at 35816) by debbugs.gnu.org; 9 Jul 2019 14:26:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 10:26:56 2019
Received: from localhost ([127.0.0.1]:33665 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkr56-0006tq-AS
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 10:26:56 -0400
Received: from mail-ed1-f45.google.com ([209.85.208.45]:36725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>) id 1hkr53-0006td-WA
 for 35816 <at> debbugs.gnu.org; Tue, 09 Jul 2019 10:26:54 -0400
Received: by mail-ed1-f45.google.com with SMTP id k21so17986685edq.3
 for <35816 <at> debbugs.gnu.org>; Tue, 09 Jul 2019 07:26:53 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=sd9vE0pPT+djnUZZjVR06r7qY/HGA0tNheOEAYkILP0=;
 b=CkiAqoOAfB9WrXWry533cWr9JUDwZ32wkjrRp8YJcSoY9FSDhtbRsE3OaR71iJGAKB
 m0xPMp/RvgyjHI9cwfFA36QRNhoBH9t9IwDo15MVzEwV7WFcIsLri202YNSmNUIiRYBL
 qTMsnhVa4VmJXkGeW5tkdP6pV+EBCHZZ7YpqW2W0vgtm5CTwH94IETew5SnDOQlA8cRp
 2znzobRU9Ug8+7hL2E3KKpHUhVOrc6sEMUsHL4oEi8qLEhjF1PxPhQp6nFuEO9z3gPRb
 KEXt2YFjfn6YiX4gEliKtEf5JiIbdvhVHA5hipZknq5Nlt8Zkgip2g6P672RiIdCV8qT
 Wlag==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=sd9vE0pPT+djnUZZjVR06r7qY/HGA0tNheOEAYkILP0=;
 b=eXj/dR8xAhggrHKKkYu3DBI7VbwcJMZIqa73F3zysd6e+LRwzqsE1Ga327UqEQtZiI
 auzqFgOBo4Oqv8lO6qxFjCBhuXd5tM3Ma/cGzTbxdWIkrPVHky2orjFYYxgqBlhuZ6KY
 7oYQNJNAbE6nRz5MC3ThRrVGF/YXVGcE7xgYL9fyB7aTgxS5JrCW53e0jz4EowcPf23f
 iXvtd/afWkOvD4LGN2skv5L7xvlSG3QVy/PvcVENfwrZY6XD5JNrkS6G3KLGLpzAvE9H
 le68BmxY8OOu1PImu4EhOhZyr98sY6OPNhnTWd7RWQwQ92ua5sE6GFHKHzCUv496VyUK
 vCoA==
X-Gm-Message-State: APjAAAXdhbpvMS6lqGM7TNFdbHwxhoewz3oEHXC7av1K0EzachOntBhm
 o/hDbY1Mf3BEp9qORvDHjFVPThq52g7FAhj2JM5ii6VVO+0=
X-Google-Smtp-Source: APXvYqyR7qgdVdNfOuDJDmbzCSQtDyWR/4dPUFXnBL44EgVfxmnPlR+5QmkhaA1/2lKDG3QAE+uuYgIvwbDN503F4LU=
X-Received: by 2002:a17:906:158c:: with SMTP id
 k12mr21711028ejd.83.1562680568420; 
 Tue, 09 Jul 2019 06:56:08 -0700 (PDT)
MIME-Version: 1.0
References: <87v9y4o9i4.fsf@HIDDEN>
 <87zhlodk4e.fsf@HIDDEN>
 <CA+A2iZY8bT-prYgB6oTrv6oY4Kyicpo4o52A3jAVVL7yLtjEhg@HIDDEN>
 <m37e8rxrzs.fsf@HIDDEN>
In-Reply-To: <m37e8rxrzs.fsf@HIDDEN>
From: Vladimir Nikishkin <lockywolf@HIDDEN>
Date: Tue, 9 Jul 2019 21:55:54 +0800
Message-ID: <CA+A2iZb6i1aXMjxWqdeSHXcMEWtzTySqW6tutzeHNx6QBdbrgQ@HIDDEN>
Subject: Re: bug#35816: 26.2; set-frame-font cannot set some fonts which
 autocomplete suggests due to dashes in names. I.e. gnu-unifont
To: Lars Ingebrigtsen <larsi@HIDDEN>
Content-Type: multipart/alternative; boundary="0000000000002d9cd2058d3fecea"
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  It's wrong in that if you type RET, Emacs rejects it. On Tue,
 Jul 9, 2019, 21:22 Lars Ingebrigtsen wrote: > (Please keep the debbugs address
 in the Cc header,
 otherwise the bug > tracker won't get the email.) > > Vladimir
 Nikishkin writes: > > > I experimented with it a bit just now. Indeed, not
 every s [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 URIBL_BLOCKED          ADMINISTRATOR NOTICE: The query to URIBL was
 blocked.  See
 http://wiki.apache.org/spamassassin/DnsBlocklists#dnsbl-block
 for more information. [URIs: ingebrigtsen.no]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [209.85.208.45 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (lockywolf[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 0.0 HTML_MESSAGE           BODY: HTML included in message
 1.3 PDS_NO_HELO_DNS        High profile HELO but no A record
X-Debbugs-Envelope-To: 35816
Cc: 35816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

--0000000000002d9cd2058d3fecea
Content-Type: text/plain; charset="UTF-8"

It's wrong in that if you type RET, Emacs rejects it.


On Tue, Jul 9, 2019, 21:22 Lars Ingebrigtsen <larsi@HIDDEN> wrote:

> (Please keep the debbugs address in the Cc header, otherwise the bug
> tracker won't get the email.)
>
> Vladimir Nikishkin <lockywolf@HIDDEN> writes:
>
> > I experimented with it a bit just now. Indeed, not every suggested font
> is
> > broken. However, autocompletion still suggests some broken font
> descriptions.
> >
> > To reproduce:
> >
> > M-x set-frame-font RET
> > -gnu-unifont-sans-16-*-7 TAB RET produces a wrong font description.
> >
> > And I didn't deliberately concoct such a string myself, I obtained it by
> typing -gnu
> > TAB, and typing in a few suggestion characters, which I don't remember,
> but
> > which were swallowed by Emacs just fine.
> >
> > Something like
> > M-x set-frame-font RET
> > -gnu TAB -sa TAB 1 TAB 7 TAB
> >
> > For example, in my case, I'm getting the line:
> >
> > -gnu-unifont-sans-16-*-75-75-c-80-iso10646-1
>
> I'm unable to reproduce this bug, because Debian doesn't seem to include
> any fonts that have a "gnu" in the foundry name (or perhaps I've just
> installed the wrong package?).
>
> But in what way is that font description wrong?
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

--0000000000002d9cd2058d3fecea
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"auto">It&#39;s wrong in that if you type RET, Emacs rejects it.=
<div dir=3D"auto"><br></div></div><br><div class=3D"gmail_quote"><div dir=
=3D"ltr" class=3D"gmail_attr">On Tue, Jul 9, 2019, 21:22 Lars Ingebrigtsen =
&lt;<a href=3D"mailto:larsi@HIDDEN">larsi@HIDDEN</a>&gt; wrote:<br></di=
v><blockquote class=3D"gmail_quote" style=3D"margin:0 0 0 .8ex;border-left:=
1px #ccc solid;padding-left:1ex">(Please keep the debbugs address in the Cc=
 header, otherwise the bug<br>
tracker won&#39;t get the email.)<br>
<br>
Vladimir Nikishkin &lt;<a href=3D"mailto:lockywolf@HIDDEN" target=3D"_bl=
ank" rel=3D"noreferrer">lockywolf@HIDDEN</a>&gt; writes:<br>
<br>
&gt; I experimented with it a bit just now. Indeed, not every suggested fon=
t is<br>
&gt; broken. However, autocompletion still suggests some broken font descri=
ptions.<br>
&gt;<br>
&gt; To reproduce:<br>
&gt;<br>
&gt; M-x set-frame-font RET<br>
&gt; -gnu-unifont-sans-16-*-7 TAB RET produces a wrong font description.<br=
>
&gt;<br>
&gt; And I didn&#39;t deliberately concoct such a string myself, I obtained=
 it by typing -gnu<br>
&gt; TAB, and typing in a few suggestion characters, which I don&#39;t reme=
mber, but<br>
&gt; which were swallowed by Emacs just fine.<br>
&gt;<br>
&gt; Something like<br>
&gt; M-x set-frame-font RET<br>
&gt; -gnu TAB -sa TAB 1 TAB 7 TAB<br>
&gt;<br>
&gt; For example, in my case, I&#39;m getting the line:<br>
&gt;<br>
&gt; -gnu-unifont-sans-16-*-75-75-c-80-iso10646-1<br>
<br>
I&#39;m unable to reproduce this bug, because Debian doesn&#39;t seem to in=
clude<br>
any fonts that have a &quot;gnu&quot; in the foundry name (or perhaps I&#39=
;ve just<br>
installed the wrong package?).<br>
<br>
But in what way is that font description wrong?<br>
<br>
-- <br>
(domestic pets only, the antidote for overdose, milk.)<br>
=C2=A0 =C2=A0bloggy blog: <a href=3D"http://lars.ingebrigtsen.no" rel=3D"no=
referrer noreferrer" target=3D"_blank">http://lars.ingebrigtsen.no</a><br>
</blockquote></div>

--0000000000002d9cd2058d3fecea--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35816; Package emacs. Full text available.

Message received at 35816 <at> debbugs.gnu.org:


Received: (at 35816) by debbugs.gnu.org; 9 Jul 2019 13:22:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 09 09:22:23 2019
Received: from localhost ([127.0.0.1]:60463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkq4d-0006O4-Ha
	for submit <at> debbugs.gnu.org; Tue, 09 Jul 2019 09:22:23 -0400
Received: from quimby.gnus.org ([80.91.231.51]:45568)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkq4b-0006Nu-1o
 for 35816 <at> debbugs.gnu.org; Tue, 09 Jul 2019 09:22:21 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hkq4V-0005aQ-W7; Tue, 09 Jul 2019 15:22:18 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
Subject: Re: bug#35816: 26.2;
 set-frame-font cannot set some fonts which autocomplete suggests due
 to dashes in names. I.e. gnu-unifont
References: <87v9y4o9i4.fsf@HIDDEN>
 <87zhlodk4e.fsf@HIDDEN>
 <CA+A2iZY8bT-prYgB6oTrv6oY4Kyicpo4o52A3jAVVL7yLtjEhg@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAElBMVEWqra7Z2tr////+//75
 +fnt7e0mEygKAAACcUlEQVQ4jXVUy5KjMAyUM3CXAr6H1z0kzB2CfLcT9P+/sm2Y1NZma3wyaqvV
 kttQ+8uiX4GGnh+hXg9AHsd3pz8b2x47cP6Jh7Dum2GzVwYuXwcQVDVs2IzfanuGe+znc9zGR2ba
 duCyFw+brrq8NvBWm6bHDuCjN5t09RZ8OzgLihANBuLFZNPJB0236FwYqj2Dnr2E5HVBRnoyM23+
 p3OEkmzJNls8RXbOHUAvZolIABiTiHMQlIHBiyUwSC2JiWcmCKIEtWbbzELuZUZOUqSc8YDowSwy
 TlZmjrw4Ag8oy7ZL4B5x0BZiLgvKxZt6fvZZjAiRi6gRhTE/Gi++VE3IvCIKFodqp0zVVLypUozj
 FcogVZjzrJJcU6kriS89UYl+Ysw9kM1NTZtSURQ4fWoTksp2pxKJRXCl5OMgb8ifjjuXOVGAzHm5
 8il7YXdBrgGxULMsSTgbQA+XyGhVSVApImkG0HW3++3W0lKfzzXGRkWJEWJwzI5d0VJ1OtfCNCPF
 VwyOy5WYypZOVeJ5JAyr/hJ6A8jwC8ckpBNJOku+tkknmDLLlNJR1t8IptrOUkiJDFp8hcHClbFs
 stNmKikXJ1+I1Gw36HG5jfgGasQdazZyd1im9j4DiJfGGpDSShpTssW0bim6qkDLOmWnY+boFX5B
 hoHLM6tOGJ07AJZTS98xWrHM2q14N2dOMGJscvE2OaREZOjHqx2YVhfXvl9vH885OX9Oqut6G9TU
 7uuk/Q70WcX6WBVTea+v3dSB2Yfwt8TlDXTT674/ZLMQtqDBp+c/v4xL7i17keCWj39JQ7zX+A/o
 7vf7pFu+qPaX9Qf/wZ/svmEzWwAAAABJRU5ErkJggg==
Date: Tue, 09 Jul 2019 15:22:15 +0200
In-Reply-To: <CA+A2iZY8bT-prYgB6oTrv6oY4Kyicpo4o52A3jAVVL7yLtjEhg@HIDDEN>
 (Vladimir Nikishkin's message of "Tue, 9 Jul 2019 11:41:16 +0800")
Message-ID: <m37e8rxrzs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  (Please keep the debbugs address in the Cc header, otherwise
 the bug tracker won't get the email.) Vladimir Nikishkin <lockywolf@HIDDEN>
 writes: > I experimented with it a bit just now. Indeed, not every suggested
 font is > broken. However, autocompletion still suggests some broken font
 descriptions. > > To reproduce: > > M-x set-frame-font RE [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35816
Cc: 35816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(Please keep the debbugs address in the Cc header, otherwise the bug
tracker won't get the email.)

Vladimir Nikishkin <lockywolf@HIDDEN> writes:

> I experimented with it a bit just now. Indeed, not every suggested font is
> broken. However, autocompletion still suggests some broken font descriptions.
>
> To reproduce:
>
> M-x set-frame-font RET
> -gnu-unifont-sans-16-*-7 TAB RET produces a wrong font description.
>
> And I didn't deliberately concoct such a string myself, I obtained it by typing -gnu
> TAB, and typing in a few suggestion characters, which I don't remember, but
> which were swallowed by Emacs just fine.
>
> Something like
> M-x set-frame-font RET
> -gnu TAB -sa TAB 1 TAB 7 TAB
>
> For example, in my case, I'm getting the line:
>
> -gnu-unifont-sans-16-*-75-75-c-80-iso10646-1

I'm unable to reproduce this bug, because Debian doesn't seem to include
any fonts that have a "gnu" in the foundry name (or perhaps I've just
installed the wrong package?).

But in what way is that font description wrong?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35816; Package emacs. Full text available.

Message received at 35816 <at> debbugs.gnu.org:


Received: (at 35816) by debbugs.gnu.org; 9 Jul 2019 02:20:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 08 22:20:23 2019
Received: from localhost ([127.0.0.1]:60131 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hkfjz-0001b7-6q
	for submit <at> debbugs.gnu.org; Mon, 08 Jul 2019 22:20:23 -0400
Received: from quimby.gnus.org ([80.91.231.51]:38318)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hkfjx-0001b0-Up
 for 35816 <at> debbugs.gnu.org; Mon, 08 Jul 2019 22:20:22 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1hkfjt-00086j-Iw; Tue, 09 Jul 2019 04:20:19 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Vladimir Nikishkin <lockywolf@HIDDEN>
Subject: Re: bug#35816: 26.2;
 set-frame-font cannot set some fonts which autocomplete suggests due
 to dashes in names. I.e. gnu-unifont
References: <87v9y4o9i4.fsf@HIDDEN>
Date: Tue, 09 Jul 2019 04:20:17 +0200
In-Reply-To: <87v9y4o9i4.fsf@HIDDEN> (Vladimir Nikishkin's
 message of "Tue, 21 May 2019 09:56:51 +0800")
Message-ID: <87zhlodk4e.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Vladimir Nikishkin <lockywolf@HIDDEN> writes: > It is not
 possible to set some XLFD fonts by just using Emacs > autocomplete. > How
 to reproduce: > 1)Install GNU-Unifont (a free font supporting almost all
 Unicode) > 2)M-x set-frame-font RET > 3)- [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 35816
Cc: 35816 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Vladimir Nikishkin <lockywolf@HIDDEN> writes:

> It is not possible to set some XLFD fonts by just using Emacs
> autocomplete.
> How to reproduce:
> 1)Install GNU-Unifont (a free font supporting almost all Unicode)
> 2)M-x set-frame-font RET
> 3)- M-i , and make Emacs suggest the Unifont size 16

Do you mean - TAB?

Anyway, I installed

xfonts-unifont/oldstable,now 1:9.0.06-2 all [installed,automatic]
  PCF (bitmap) version of GNU Unifont

and chose

-unknown-Unifont-normal-normal-normal-*-*-*-*-*-d-0-iso10646-1

and everything worked fine...

> 4)RET, and observe that Emacs canot set this font, because it thinks
> that 'xlfd' has 15 elements rather than 14 (a hyphen in the font name
> being interpreted as an xlfd separator)

Sounds like a bug in whoever put together the font package?  This is in
Slackware?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#35816; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 May 2019 02:06:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon May 20 22:06:53 2019
Received: from localhost ([127.0.0.1]:38377 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hSuB3-0001Jg-0R
	for submit <at> debbugs.gnu.org; Mon, 20 May 2019 22:06:53 -0400
Received: from eggs.gnu.org ([209.51.188.92]:57946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <lockywolf@HIDDEN>)
 id 1hSuB0-0001JR-15
 for submit <at> debbugs.gnu.org; Mon, 20 May 2019 22:06:50 -0400
Received: from lists.gnu.org ([209.51.188.17]:51982)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <lockywolf@HIDDEN>)
 id 1hSuAu-0003B9-V5
 for submit <at> debbugs.gnu.org; Mon, 20 May 2019 22:06:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44093)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lockywolf@HIDDEN>)
 id 1hSuAt-0002oy-9C
 for bug-gnu-emacs@HIDDEN; Mon, 20 May 2019 22:06:44 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: ****
X-Spam-Status: No, score=4.9 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 NO_DNS_FOR_FROM,RCVD_IN_PBL,RDNS_NONE,URIBL_BLOCKED autolearn=disabled
 version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <lockywolf@HIDDEN>)
 id 1hSuAr-00039R-Ri
 for bug-gnu-emacs@HIDDEN; Mon, 20 May 2019 22:06:43 -0400
Received: from [223.104.5.203] (port=65191 helo=delllaptop.lockywolf.net)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <lockywolf@HIDDEN>)
 id 1hSuAr-00037k-2r
 for bug-gnu-emacs@HIDDEN; Mon, 20 May 2019 22:06:41 -0400
Received: by delllaptop.lockywolf.net (Postfix, from userid 1000)
 id A9458E889D0; Tue, 21 May 2019 09:56:51 +0800 (CST)
From: Vladimir Nikishkin <lockywolf@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.2;
 set-frame-font cannot set some fonts which autocomplete suggests due
 to dashes in names. I.e. gnu-unifont
Date: Tue, 21 May 2019 09:56:51 +0800
Message-ID: <87v9y4o9i4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 223.104.5.203
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -0.9 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.9 (-)


It is not possible to set some XLFD fonts by just using Emacs
autocomplete.
How to reproduce:
1)Install GNU-Unifont (a free font supporting almost all Unicode)
2)M-x set-frame-font RET
3)- M-i , and make Emacs suggest the Unifont size 16
4)RET, and observe that Emacs canot set this font, because it thinks
that 'xlfd' has 15 elements rather than 14 (a hyphen in the font name
being interpreted as an xlfd separator)

This bug is also observed here:
https://emacs.stackexchange.com/questions/50234/why-cant-emacs-get-a-font-that-it-can-list-among-the-fonts



In GNU Emacs 26.2 (build 1, x86_64-slackware-linux-gnu, GTK+ Version 3.24.8)
 of 2019-04-13 built on hive64.slackware.lan
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
Recent messages:
Making completion list... [12 times]
set-face-attribute: Invalid font name: "-PfEd-HanWang SinSongThin-Gb5-normal-normal-condensed-*-*-*-*-*-*-0-iso10646-1"
Making completion list... [2 times]
scroll-down-command: Beginning of buffer
Overwrite mode enabled in current buffer
Overwrite mode disabled in current buffer
Saving file /home/lockywolf/.emacs...
Wrote /home/lockywolf/.emacs
((font . "-PfEd-HanWangHeiLight-normal-normal-normal-*-*-*-*-*-*-0-iso10646-1") (font . "DejaVu Sans Mono-12") (fullscreen . maximized))
completing-read-default: Command attempted to use minibuffer while in minibuffer
Quit
Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
--program-prefix= --program-suffix= --mandir=/usr/man
--infodir=/usr/info --without-gconf --without-gsettings --with-x
--with-x-toolkit=gtk3 --build=x86_64-slackware-linux 'CFLAGS=-O2 -fPIC''

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GLIB NOTIFY ACL
GNUTLS LIBXML2 FREETYPE XFT ZLIB TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM
THREADS LCMS2

Important settings:
  value of $LC_COLLATE: C
  value of $LC_TIME: en_GB.UTF-8
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=SCIM
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-auto-revert-mode: t
  electric-pair-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-layout-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  global-prettify-symbols-mode: t
  prettify-symbols-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort emacsbug face-remap apropos doc-view image-mode vc
vc-dispatcher repeat iso-transl warnings compile autoload cus-edit
cus-start cus-load lisp-mnt pp descr-text mule-diag cl-print info-look
pcase url-file url-dired mm-archive message rfc822 mml mml-sec epa
derived mailabbrev gmm-utils mailheader mm-decode mm-bodies mm-encode
epg shr-color color network-stream url-http tls gnutls mail-parse
rfc2231 url-gw nsm rmc url-cache url-auth eww puny mm-url gnus nnheader
gnus-util rmail rmail-loaddefs wid-edit url-queue url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap shr svg xml dom browse-url format-spec mail-extr
dired-aux dired dired-loaddefs imenu disp-table view woman man misearch
multi-isearch shell pcomplete comint ansi-color ring time-stamp tabify
rect table jka-compr sh-script smie executable eieio-opt speedbar
sb-image ezimage dframe help-fns radix-tree foldout noutline outline
conf-mode vc-git diff-mode easy-mmode flycheck-plantuml plantuml-mode
flycheck cl-extra json map find-func help-mode rx subr-x dash smtpmail
sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils
starttls autorevert filenotify elec-pair keywiz gamegrid diary-lib
diary-loaddefs cal-menu calendar cal-loaddefs totd s
display-line-numbers hi-lock mic-paren ffap thingatpt edmacro kmacro
savehist desktop frameset geiser manoj-dark-theme finder-inf info
package easymenu epg-config url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache url-vars seq
byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 867113 87919)
 (symbols 48 54414 15)
 (miscs 40 4168 624)
 (strings 32 232203 28445)
 (string-bytes 1 11504103)
 (vectors 16 50293)
 (vector-slots 8 2173784 155796)
 (floats 8 386 1018)
 (intervals 56 57293 4535)
 (buffers 992 73))

-- 
--
Vladimir Nikishkin (MiEr, lockywolf)




Acknowledgement sent to Vladimir Nikishkin <lockywolf@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#35816; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Tue, 9 Jul 2019 14:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.